PetsterResources = {};
PetsterResources.Spells = {};
PetsterResources.Options = {};

--[[
Note to translators:

Please translate the texts within the START and END block. The first section
of strings are non-game-breaking so translate them the best you can and they
should not cause bugs. The section of spell names need to be typed correctly
in order for the addon to cast the spell properly in the particular locale.
After translating those, please take a moment to test them out in-game unless
you are very sure of the spelling. If I find a way to use language neutral
spell names, I'll change them over in order to avoid potential bugs.
Thanks for the help!
]]

-- START LOCALIZATION
PetsterResources.Loaded = "Loaded. Type /petster for usage.";
PetsterResources.Unlock = "Left-click to unlock";
PetsterResources.Lock = "Left-click to lock";
PetsterResources.Drag = "Drag to move";
PetsterResources.Resize = "Right-click to resize";
PetsterResources.Feed = "Click to feed pet";
PetsterResources.NoFood1 = "No food selected";
PetsterResources.NoFood2 = "Drop some food onto the feed button first.";
PetsterResources.FeedingPet = "Feeding Pet";
PetsterResources.FoodNotFound = "Food not found.";
PetsterResources.ForceRevivePet = "Shift-click to revive pet";
PetsterResources.ForceDismissPet = "Alt-click to dismiss pet";
PetsterResources.CallFirst = "Call your pet before setting the food."

-- only the "usage:" and descriptions need to be localized, the commands are hard-coded
PetsterResources.Usage = "usage: /petster options | lock | size | reset | feed | bar";
PetsterResources.UsageLock = "lock - toggle lock state";
PetsterResources.UsageSize = "size - toggle button size";
PetsterResources.UsageReset = "reset - clear settings and position";

-- these are the spell names as you would type when writing a macro
PetsterResources.Spells.CallPet = "Call Pet";
PetsterResources.Spells.MendPet = "Mend Pet";
PetsterResources.Spells.DismissPet = "Dismiss Pet";
PetsterResources.Spells.RevivePet = "Revive Pet";
PetsterResources.Spells.FeedPet = "Feed Pet";
PetsterResources.Spells.EyesOfTheBeast = "Eyes of the Beast";

-- pending (not currently used)
PetsterResources.ForceFeed = "Double-click to feed pet";

-- new in 20000.04
PetsterResources.Options.RightClick = "Right-click for options";
PetsterResources.Options.Enabled = "Enabled";
PetsterResources.Options.Small = "Small";
PetsterResources.Options.Locked = "Locked";
PetsterResources.Options.WheelEdit = "Wheel Edit";
PetsterResources.Options.Spacing = "Spacing";
PetsterResources.Options.AwayButtonSlots = "Away Button Slots (ID)";
PetsterResources.Options.PresentButtonSlots = "Present Button Slots (ID)";
PetsterResources.Options.FeedHeader = "Call/Feed/Mend Button";
PetsterResources.Options.BasicHeader = "Basic Feed Button (coming soon)";
PetsterResources.Options.ExHeader = "Extended Pet Buttons";

-- new in 20000.06
PetsterResources.UsageOptions = "options - toggle options form";
PetsterResources.UsageFeed = "feed - toggle Call/Feed/Mend Button";

-- new in 20000.07
PetsterResources.UsageBar = "bar - toggle Pet Bar Buttons";

-- END LOCALIZATION

BINDING_HEADER_PETSTER = "Petster";
BINDING_NAME_FEEDPETBUTTON1 = "Execute Feed Pet";
BINDING_NAME_FEEDPETBUTTON2 = "Execute Feed Pet While Happy";

if (GetLocale() == "frFR") then

	-- thanks to Jashugan (curse-gaming) for the translations

	PetsterResources.Loaded = "Charg\195\169. Taper /petster pour l'aide.";
	PetsterResources.Unlock = "Clic gauche pour d\195\169v\195\169rouiller";
	PetsterResources.Lock = "Clic gauche pour v\195\169rouiller";
	PetsterResources.Drag = "Maintenir clic pour faire bouger";
	PetsterResources.Resize = "Clic droit pour redimensionner";
	PetsterResources.Feed = "Cliquer pour nourrir le familier";
	PetsterResources.NoFood1 = "Aucune nourriture s\195\169lectionn\195\169e";
	PetsterResources.NoFood2 = "D'abord mettre de la nourriture dans le bouton";
	PetsterResources.FeedingPet = "Feeding Pet";
	PetsterResources.FoodNotFound = "Aucune nourriture trouv\195\169e";
	PetsterResources.ForceRevivePet = "Shift-clic pour ressusciter le familier";
	PetsterResources.ForceDismissPet = "Alt-clic pour renvoyer le familier";
	PetsterResources.CallFirst = "Appelez votre familier avant choisir la nourriture"

	-- only the "usage:" and descriptions need to be localized, the commands are hard-coded
	PetsterResources.Usage = "utilisation: /petster lock | size | reset";
	PetsterResources.UsageLock = "lock - modifie l'\195\169tat de v\195\169rouillage";
	PetsterResources.UsageSize = "size - modifie la taille du bouton";
	PetsterResources.UsageReset = "reset - r\195\169initialise les r\195\169glages et la position";

	-- these are the spell names as you would type when writing a macro
	PetsterResources.Spells.CallPet = "Appel du familier";
	PetsterResources.Spells.MendPet = "Gu\195\169rison du familier";
	PetsterResources.Spells.DismissPet = "Renvoyer le familier";
	PetsterResources.Spells.RevivePet = "Ressusciter le familier";
	PetsterResources.Spells.FeedPet = "Nourrir le familier";
	PetsterResources.Spells.EyesOfTheBeast = "Oeil de la b\195\170te";
	
elseif (GetLocale() == "esES") then

	-- thanks to chusina (curse-gaming) for the translations

	PetsterResources.Loaded = "Cargado. Teclea /petster para usarlo.";
	PetsterResources.Unlock = "Click izdo. para desbloquear";
	PetsterResources.Lock = "Click dcho. para bloquear";
	PetsterResources.Drag = "Arrastrar para mover";
	PetsterResources.Resize = "Click dcho. para modificar tamaño";
	PetsterResources.Feed = "Click para alimentar mascota";
	PetsterResources.NoFood1 = "No hay comida seleccionada";
	PetsterResources.NoFood2 = "Deja alguna comida en el botón de alimentar primero";
	PetsterResources.FeedingPet = "Alimentando mascota";
	PetsterResources.FoodNotFound = "Comida no encontrada";
	PetsterResources.ForceRevivePet = "Mayúsculas+click para resucitar mascota";
	PetsterResources.ForceDismissPet = "Alt+click para retirar mascota";
	PetsterResources.CallFirst = "Llama a tu mascota antes de colocar la comida"

	-- only the "usage:" and descriptions need to be localized, the commands are hard-coded
	PetsterResources.Usage = "Uso: /petster lock | size | reset";
	PetsterResources.UsageLock = "lock - cambia el estado de bloqueo";
	PetsterResources.UsageSize = "size - cambia de tamaño el botón";
	PetsterResources.UsageReset = "reset - borra los ajustes y la posición";

	-- these are the spell names as you would type when writing a macro
	PetsterResources.Spells.CallPet = "Llamar mascota";
	PetsterResources.Spells.MendPet = "Aliviar mascota";
	PetsterResources.Spells.DismissPet = "Retirar mascota";
	PetsterResources.Spells.RevivePet = "Revivir mascota";
	PetsterResources.Spells.FeedPet = "Alimentar mascota";
	PetsterResources.Spells.EyesOfTheBeast = "Ojos de la bestia";

elseif (GetLocale() == "deDE") then

	-- thanks to MisterS (curse-gaming) for the translations

	PetsterResources.Loaded = "Geladen. Tippe /petster f\195\188r die Hilfe.";
	PetsterResources.Unlock = "Linksklicken zum Entsperren";
	PetsterResources.Lock = "Linksklicken zum Sperren";
	PetsterResources.Drag = "Ziehen zum verschieben";
	PetsterResources.Resize = "Rechtsklicken zur Gr\195\182\195\159en\195\164nderung";
	PetsterResources.Feed = "Klicken zum F\195\188ttern";
	PetsterResources.NoFood1 = "Kein Futter ausgew\195\164hlt";
	PetsterResources.NoFood2 = "Ziehe zuerst das Futter auf den Button.";
	PetsterResources.FeedingPet = "Tier f\195\188ttern";
	PetsterResources.FoodNotFound = "Futter nicht gefunden.";
	PetsterResources.ForceRevivePet = "Shift-Klicken um das Tier wiederzubeleben";
	PetsterResources.ForceDismissPet = "Alt-Klicken um das Tier freizugeben";
	PetsterResources.CallFirst = "Du musst zuerst das Tier rufen, bevor das Futter festgelegt werden kann."

	-- only the "usage:" and descriptions need to be localized, the commands are hard-coded
	PetsterResources.Usage = "Benutzung: /petster lock | size | reset";
	PetsterResources.UsageLock = "lock - zwischen Sperren und Entsperren wechseln";
	PetsterResources.UsageSize = "size - zwischen Button-Gr\195\182\195\159e wechseln";
	PetsterResources.UsageReset = "reset - Einstellungen und Position zur\195\188cksetzen";

	-- these are the spell names as you would type when writing a macro
	PetsterResources.Spells.CallPet = "Tier rufen";
	PetsterResources.Spells.MendPet = "Tier heilen";
	PetsterResources.Spells.DismissPet = "Tier freigeben";
	PetsterResources.Spells.RevivePet = "Tier wiederbeleben";
	PetsterResources.Spells.FeedPet = "Tier f\195\188ttern";
	PetsterResources.Spells.EyesOfTheBeast = "Augen des Wildtiers";
end
